Subject: Re: bug#19867: c++-mode indentation issues with C++1x initializer lists

From: Daniel Colascione <[email-masked]>
Date: Mon, 16 Feb 2015 13:38:39 -0800

On 02/16/2015 11:29 AM, Simon wrote:
> On Mon, Feb 16, 2015 at 2:09 PM, Glenn Morris <[email-masked]> wrote:
>> Simon wrote:
>>
>>> Severity: important
>>
>> Unless it leads to invalid code (eg Python-style languages), I tend to
>> think of indentation bugs as minor problems, since it's just cosmetic.
>> Why do you think this one is important?
> 
> I am inclined to follow your lead.  C++ code compiles without errors
> as I mentioned.
> 
> The bug affects "c++-mode" and since c++-mode mostly (solely?) affects
> cosmetics, then the bug makes c++-mode difficult to use.  In fact, I
> have been searching for alternatives, in vain.
> 
> I would suggest keeping severity as "important" if this report can be
> assigned more precisely to the "c++-mode" sub-package or group.  If
> not, then you may downgrade to "minor" as you said.

OP, your best bet is to dive into cc-engine.el and fix it yourself.